function [num,den]=ctla(th1,ths,s)
%
%
%    Esta funcion halla el filtro de ciclo-tentencia H(B) correspondiente
%    a un modelo de lineas aereas
%       delta*delta_s z_t = (1+th1*B)*(1+ths*B^s)a_t
%    Se utilizan las formulas derivadas de las condiciones sobre las
%    derivadas en el origen.
%
% Copyright (c) 21 July 2003 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

if s > 1
   bigk=2*th1/(1+th1)^2 + 2*ths*s^2/(1+ths)^2 - (s^2+2)/6;
%pause
   alpha=(1-bigk-sqrt(1-2*bigk))/bigk;
%pause
else
   alpha=0;
   ths=0;
end
k=(1+th1)*(1+ths)/(2*(1+alpha)*s);
%pause
a=[1 1];
b=[alpha 1];
S=ones(1,s);
num=conv(a,b);
num=conv(num,S);
num=num*k;
%pause
a=[th1 1];
b=zeros(1,s+1);
b(1)=ths;
b(s+1)=1;
den=conv(a,b);
