function h=freqsd(num,den,w)
%   
%
%        This function obtains the frequency response function of an
%        ARMA filter, where the numerator is num(z)=a_mz^m+...+a_0
%        and the denominator is den(z)=b_nz^n+....+b_0, evaluated at
%        w. In order to obtain the gain, phase and phase delay
%        functions, set
%   
%        gain=abs(h),       phase=unwrap(angle(h)),    phased=phase./w,
%   
%        plot(w,gain),      plot(w,phase),             plot(w,phased)
%
% Copyright (c) 21 July 2003 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

%   
s=exp(-sqrt(-1)*w);
h=polyval(num,s)./polyval(den,s);
