function cleangraph(path)
%
% MATLAB program to clean the subdirectories in the GRAPH directory. It 
% deletes all of the files in those subdirectories
%
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

pathc=cd;                              %current directory

if nargin < 1
 path=pathc;                             
end

cd(path);
delete('graph\acf\*.*');
delete('graph\forecast\*.*');
delete('graph\filters\*.*');
delete('graph\regoutse\*.*');
delete('graph\series\*.*');
delete('graph\spectra\*.*');
cd(pathc)
