%
function [co,ph,ga]=cohepha(cxy,qxy,fxx,fyy)
%
%
%        This function computes the coherence, gain and phase 
%
%
% Copyright (c) 21 July 2003 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%
alpha=cxy.^2+qxy.^2;
co=alpha./(fxx.*fyy);
ga=(alpha./fyy.^2).^(.5);
n=length(cxy);
for i=1:n
    ang=atan(-qxy(i)/cxy(i));
    if cxy(i) < 0
       if qxy(i) >= 0
%
% the number cxy(i) -j*qxy(i) is the third quadrant
%
          ph(i)=ang-pi;
       else
%
% the number cxy(i) -j*qxy(i) is the second quadrant
%
          ph(i)=ang+pi;
       end
    else
       ph(i)=ang;
    end
end
