%demo of trcfildes 

%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control
%e{i,3} contains the series path
%e{i,4} contains the namelist input 

ppath=cd;                                      %current path

%filter specifications
spec='dd(1)=.30 dd(2)=.30 xp=.0625 xp2=.33333 xs=.40'; 
filtertype='3';                                  %filter type
freq='4';                                        %series frequency

% spec='th(1)=-.4 bth(1)=-.6  xc=.125 di=4 t1=-.4 ts=-.6 ms=12';
% filtertype='6';                                  %filter type
% freq='12';                                        %series frequency

% spec='mq=4 lam=1 p=1 q=0 phi(1)=-.52311 bth(1)=-.38534 t1=.985 ts=-.4';
% spec=[spec 'ms=4 dd(1)=.1 dd(2)=.1 xp=.0625 xp2=.3 xs=.4'];
% filtertype='7';                                  %filter type
% freq='4';                                        %series frequency

%instructions for the program
input=['filter=' filtertype ' method=0 graph=1 mfrec=' freq];
input=[input ' ' spec];


e{1,1}='mycycle';                                %series name
%the following five lines should not be modified
e{1,2}='15 1 1 1';                               
e{1,3}='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0';          %fictitious data
e{1,4}=input;

%pass information and run the program
out = trcfildes(e,ppath);

