%demo of tstmatlab

%the input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, should be written including the dollar signs

ppath=cd;                                      %current path
c{1,1}='ipiale'; 
c{1,2}='336 1950 1';
c{1,3}=load([ppath '\series\ipiale.dat']);             %data
input='lam=-1 idif=3 inic=3 itrad=-1 ieast=-1 iatip=1 seats=2'; 
input=[input ' rmod=0 epsphi=180'];                  %namelist input
%the following line is to give TRAMO instructions to create the output
%files TABLE.TRM, NUMRES1.TRM and NUMRES2.TRM containing additional
%output information.
input=[input ' out=-2'];   
d{1,1}=input;
c{1,4}=d;

%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control
%e{i,3} contains the series path
%e{i,4} contains the namelist input 

otpfile='ipiale'                                 %output file from SEATS
spec='dd(1)=.1 dd(2)=.01 xp=.02 xp2=.08 xs=.15'; %filter specifications
e{1,1}='ipitrend';                               %series name for TRACE
e{1,2}='336 1950 1 3';
freq='12';                                       %series frequency
e{1,3}=' c:\tst\graph';
input=['filter=3 method=2 read=''y'' comp=''trend'' graph=1 mfrec=' freq];
otpfile=[otpfile '.sts'];
path=['path=''' ppath '\output\' otpfile ''''];
input=[input ' ' path]; 
input=[input ' ' spec]; 
% iter='iter=3';                               %several series in the file
% input=[input ' ' iter];
e{1,4}=input;

%pass information and run programs
out = tstmatlab(c,e,ppath);

