function nn = inputval(c,str)
%
% MATLAB program to return the value of an input parameter in TRAMO/SEATS
%
% Input parameters: 
%      c: a cell-array containing the information to run TS
%    str: a string containing an input parameter to run TS (namelist input)
%
% Output parameters:
%    nn: the value of that parameter on input
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

nn=[];
aa=c{1,4}; b=lower(aa{1,1}); a=sprintf('%s',b); 
x=strfind(a,str); nstr=length(str);  
if ~isempty(x)
 a=a(x+nstr:end);   
 x=strfind(a,'=');xx=x(1); a=a(xx+1:end);  
 x=strfind(a,' ');x1=x(1); x1b=x1; nx=length(x);  
 if nx > 1
  i=1;
  while (x(i+1)==x(i)+1) & (i < 500)
   i=i+1;
   x1=x(i);
   if i == nx
    i=i-1;
    break
   end
  end
  x2=x(i+1);  
 else
  x2=x1;
 end
 if x1b == 1
  nn=str2num(a(x1:x2));
 else
  nn=str2num(a(1:x1));
 end
end

