function str = readgraphfile(fname)
%
% MATLAB program to read a TRAMO/SEATS file in the GRAPH directory,
% other than a forecast file
%
% Input parameters: 
%   fname: a string containing the name of the file
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

str=[];
fid = fopen(fname,'r');
% get header information
nobs = fgetl(fid);
n = fgetl(fid);
m = fgetl(fid);
t1 = fgetl(fid);
t2 = fgetl(fid);
p = fgetl(fid);
% get data
data = fscanf(fid,'%g');
% close file
fclose(fid);
str.data=data; str.freq=p;
