function out = runtracematlab(fname,path)
%
% MATLAB program to run tracematlab
%
% Input parameters: 
%   fname: a string containing the spec for Trace, located in the SPECTRC
%           subdirectory
%   path: a string containing the path where TSTMATLAB is located
%
% Output parameters:
%    out: a structure containing the output of Trace  
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%


pathc=cd;                             %current directory

if nargin < 2
 path=pathc;                             
end

cd(path);


cd spectrc\;                          %change to TRAMO/SEATS spec directory
c=feval(fname);                       %obtain cell array with instructions
cd ..                                 %return to original directory
%pass information and run programs
[n,m]=size(c);
for i=1:n
 c{i,1}=strtrim(c{i,1});              %remove blanks from title
end
out = tracematlab(c,path);

cd(pathc)
