function out = runtstmatlab(fname1,fname2,path)
%
% MATLAB program to run tstmatlab
%
% Input parameters: 
%   fname1: a string containing the spec for Tramo/Seats, located in the SPECTRM
%           subdirectory
%   fname2: a string containing the spec for Trace, located in the SPECTRC
%           subdirectory
%   path: a string containing the path where TSTMATLAB is located
%
% Output parameters:
%    out: a structure containing the output of Tramo/Seats/Trace   
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%



pathc=cd;                             %current directory

if nargin < 3
 path=pathc;                             
end

cd(path);


cd spectrm\;                          %change to TRAMO/SEATS spec directory
c=feval(fname1);                      %obtain cell array with instructions
cd ..                                 %return to original directory

cd spectrc\;                          %change to TRACE spec directory
d=feval(fname2);                      %obtain cell array with instructions
cd ..                                 %return to original directory

%pass information and run programs
[n,m]=size(c);
for i=1:n
 c{i,1}=strtrim(c{i,1});              %remove blanks from title
end
[n,m]=size(d);
for i=1:n
 d{i,1}=strtrim(d{i,1});              %remove blanks from title
end
out = tstmatlab(c,d,path);

cd(pathc)
