function e = GWAGE_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 


name='GWAGEtrend';                                 %series name for TRACE
st='167 1970 1 3';     %NZ NYER NPER NFILE on page 24 of the TRACE manual


ppath=cd;      %Current path. For example, C:\tst\spectrc
%Now, obtain path for the programs (ppath). For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrc'); ppath=ppath(1:x-1);
%alternatively
% ppath='C:\tst';

%output file from SEATS. In this example, TRACE will read some information 
%from this file about the model followed by the trend component
otpfile='GWAGE';  
%the following is the path for the SEATS output. For example,
%C:\tst\output\ipiale.sts
otpfile=[otpfile '.sts'];
path=['path=''' ppath '\output\' otpfile ''''];
%alternatively
%path='path=''C:\tst\output\ipiale.sts''';

freq='4';                                        %series frequency
spec='dd(1)=.1 dd(2)=.1 xp=.0625 xp2=.3 xs=.4'; %filter specifications
%do not forget to add the 'mfrec' parameter in the following
input=['filter=3 method=2 read=''y'' comp=''trend'' graph=1 mfrec=' freq];

% spec='di=2 lambda=127864.652';                   %HP filter
% input=['filter=1 method=2 read=''y'' comp=''trend'' graph=1 mfrec=' freq];

e{1,1}=name;                                     
e{1,2}=st;   
%path for the data, according to NFILE above. In this case, the data will 
%be read from the GRAPH directory because NFILE=3.
e{1,3}=[' ' ppath '\graph'];   

input=[input ' ' path]; 
input=[input ' ' spec]; 
e{1,4}=input;
