function e = bpq2fildes_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 

%filter specifications
spec='dd(1)=.1 dd(2)=.1 xp=.0625 xp2=.3 xs=.4';
filtertype='3';                                   %filter type
name='bpq2';                                      %series name for TRACE


%the remaining lines should not be modified
input=['filter=' filtertype ' method=0 graph=1 '];
input=[input ' ' spec];
e{1,1}=name;                                    
e{1,2}='15 1 1 1';                               
e{1,3}='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0';          %fictitious data
e{1,4}=input;


