function e = examp8_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 

ppath=cd;      %Current path. For example, C:\tst\spectrc
%Now, obtain path for the programs (ppath). For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrc'); ppath=ppath(1:x-1);
%alternatively
% ppath='C:\tst';

%all strings in the lists should have the same length
list1={'GERMANUN'
       'TRDUSGNP'
       'AIRLINE'};
[n,m]=size(list1);

list2=['116 1965 1 0' %NZ NYER NPER NFILE on page 24 of the TRACE manual
       '140 1965 1 0'
       '144 1965 1 0'
       ];
%do not forget to add the 'mfrec' parameter in the following
list31=['FILTER=7  METHOD=2 MQ=4 LAM=1 P=1 Q=0 PHI(1)=-.52311 '
        'FILTER=1  METHOD=1      LAM=1 XC=.1 DI=2 GRAPH=1     '
        'FILTER=6  METHOD=2 MQ=12 LAM=0 TH(1)=-.4 BTH(1)=-.6  '
      ];
list32=['BTH(1)=-.38534 T1=.985 TS=-.4 MS=4 DD(1)=.1 DD(2)=.1 XP=.0625 '
        'GRAPH=1 MFREC=4 ITER=3                                        '
        'XC=.125 DI=4 T1=-.4 TS=-.6 MS=12 GRAPH=1 MFREC=12 ITER=3      '
      ];
list33=['XP2=.3 XS=.4 GRAPH=1 MFREC=4 ITER=3'
        '                                   '
        '                                   '
      ];
     
     

for i=1:n
 e{i,1}=list1{i};                          %series name for TRACE
 e{i,2}=list2(i,:);          
 e{i,3}=[' ' ppath '\series\' list1{i}];   %path for the data
 e{i,4}=[list31(i,:) list32(i,:) deblank(list33(i,:))]; %input instructions
end

