function e = oipitot_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 

ppath=cd;      %Current path. For example, C:\tst\spectrc
%Now, obtain path for the programs (ppath). For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrc'); ppath=ppath(1:x-1);

%the strings in the list may have different lengths
list={'OIPIGUM'
      'OIPIGAT'
      'OIPIGBE'
      'OIPIGDE'
      'OIPIGES'
      'OIPIGFI'
      'OIPIGFR'
      'OIPIGGR'
      'OIPIGIE'
      'OIPIGIT'
      'OIPIGLU'
      'OIPIGNL'
      'OIPIGPT'
      };
list=cellstr(list);
[n,m]=size(list);
freq='12';                                           %series frequency
%do not forget to add the 'mfrec' parameter in the following
input1=['filter=3 method=2 read=''y'' comp=''trend'' graph=1 mfrec=' freq];
iter='iter=3';                                  %several series in the file
input1=[input1 ' ' iter]; 
spec='dd(1)=.1 dd(2)=.01 xp=.02 xp2=.08 xs=.15'; %filter specifications
st='215 1985 1 2';   

for i=1:n
 name=list{i};
 e{i,1}=['C' name];                          %series name for TRACE
 e{i,2}=st;          
 e{i,3}=[' ' ppath '\graph\series\' name '.tre']; %path for the data
 otpfile=name;                               %output file from SEATS
 otpfile=[otpfile '.sts'];
 path=['path=''' ppath '\output\' otpfile ''''];
 input=[input1 ' ' path];  input=[input ' ' spec ]; 
 e{i,4}=input;
end



