function e = ptfhp_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 


ppath=cd;      %Current path. For example, C:\tst\spectrc
%Now, obtain path for the programs (ppath). For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrc'); ppath=ppath(1:x-1);
%alternatively
% ppath='C:\tst';


spec='di=2 lambda=6.5929';                        %filter specifications
freq='1';                                       %series frequency
%do not forget to add the 'mfrec' parameter in the following
input=['filter=1 method=1 lam=1 graph=1 mfrec=' freq];
st='25 1987 1 0';      %NZ NYER NPER NFILE on page 24 of the TRACE manual
name='ptfhp';                                  %series name for TRACE


e{1,1}=name;                                     
e{1,2}=st;          
e{1,3}='c:\interfaces_estimation\Input\ptf.dat';   %path for the data                  
input=[input ' ' spec]; 
e{1,4}=input;