function e = usgw_trc
%
%function to create the cell array necessary to run TRACE in
%MATLAB. 
%the input for TRACE is a cell array e of size [n 4]. n is the number of 
%series and 4 is the number of fields that contain the information for 
%each series
%e{i,1} contains the title of the series
%e{i,2} contains the number of observations, the initial year, the
%       initial period and control number, see pp. 24 and 25 of TRACE
%       manual
%e{i,3} contains the series path or the series itself
%e{i,4} contains the namelist input 

%path for the programs (ppath). For example, C:\tst
ppath='C:\tst';

st='207 1960 1 2';     %NZ NYER NPER NFILE on page 24 of the TRACE manual
freq='4';                                        %series frequency
%do not forget to add the 'mfrec' parameter in the following
input1=['filter=3 method=2 read=''y'' comp=''trend'' graph=1 mfrec=' freq];
iter='iter=3';                                  %several series in the file
input1=[input1 ' ' iter]; 
spec='dd(1)=.1 dd(2)=.1 xp=.0625 xp2=.3 xs=.4'; %filter specifications

name='GW';
e{1,1}=['C' name];                   %series name for TRACE
e{1,2}=st;                                         %NZ NYER NPER NFILE
e{1,3}=[' ' ppath '\graph\series\trendo.t']; %path for the data
 otpfile=[name '.sts'];              %output file from SEATS
path=['path=''' ppath '\output\' otpfile ''''];
input=[input1 ' ' path];  input=[input ' ' spec ]; 
e{1,4}=input;



