function c = GWage_STSM_trm
%
%function to create the cell array necessary to run TRAMO/SEATS in
%MATLAB. 
%The input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, and the corresponding data should be written
%       in pairs.

c=[];
%read data from excel spreadsheet. The first column contains the dates.
data=xlsread('c:\tst\series\PROJECTDATA');

data(any(isnan(data)'),:) = [];

data(any(isnan(data)'),:) = [];

% GDP real wage: no intervention
y = data(:,4);

%series title
title='GWage_STSM'; 
%initial year, initial period
inyinp='1970 1';
%number of observations 
nobs=num2str(length(y)); 
c{1,1}=title;
c{1,2}=[nobs ' ' inyinp];  
c{1,3}=y;

%instructions for TRAMO/SEATS
input='mq=4 idif=3 inic=3 lam=-1 iatip=1'; %namelist input
d{1,1}=input;
c{1,4}=d;


