function c = examp6_trm
%
%function to create the cell array necessary to run TRAMO/SEATS in
%MATLAB. 
%The input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, and the corresponding data should be written
%       in pairs.


%series title
title='examp6'; 
%initial year, initial period
inyinp='1962 1';
%data
ppath=cd;      %Current path. For example, C:\tst\spectrm
%Now, obtain path for the programs. For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrm'); ppath=ppath(1:x-1); 
y=load([ppath '\series\examp6trm.dat']); [ny,my]=size(y);
%alternatively
% y=load('c:\tst\series\examp6trm.dat'); [ny,my]=size(y);
%number of observations 
nobs=num2str(ny); 
c{1,1}=title;
c{1,2}=[nobs ' ' inyinp];  
c{1,3}=y;

%instructions for TRAMO/SEATS
input='p=3 itrad=-6 idur=8 ieast=-1 imean=0 jpr(2)=1 phi(2)=0'; 
input=[input ' jqr(1)=1 th(1)=0 aio=0 iatip=1 va=4 lam=-1 nback=-36']; 
d{1,1}=input;
c{1,4}=d;