function c = examp7_trm
%
%function to create the cell array necessary to run TRAMO/SEATS in
%MATLAB. 
%The input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, and the corresponding data should be written
%       in pairs.


%series title
title='examp7'; 
%initial year, initial period
inyinp='1983 1';
%data
ppath=cd;      %Current path. For example, C:\tst\spectrm
%Now, obtain path for the programs. For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrm'); ppath=ppath(1:x-1); 
y=load([ppath '\series\examp7trm.dat']); [ny,my]=size(y);
%alternatively
% y=load('c:\tst\series\examp7trm.dat'); [ny,my]=size(y);
%number of observations 
nobs=num2str(ny); 
c{1,1}=title;
c{1,2}=[nobs ' ' inyinp];  
c{1,3}=y;


% %series title
% title='examp7'; 
% c{1,1}=title;
% 
% %number of observations, initial year, initial period
% nziyip='161 1983 1';
% c{1,2}=nziyip;
% 
% %data
% ppath=cd;      %Current path. For example, C:\tst\spectrm
% %Now, obtain path for the programs. For example, C:\tst
% ppath=lower(ppath); x=strfind(ppath,'\spectrm'); ppath=ppath(1:x-1);
% %the series is in the subdirectory 'series' of the program directory
% c{1,3}=load([ppath '\series\examp7trm.dat']);  

%instructions for TRAMO/SEATS
%namelist input
input='lam=-1 itrad=-1 ieast=-1 idif=3 inic=3 ireg=2 interp=1'; 
input=[input ' noadmiss=1 seats=2'];                  
d{1,1}=input;
%namelists reg. 
d{1,2}='iuser=-1 nser=1 ilong=185 regeff=2';
%path for the deterministic variable
d{1,3}='series\holidays';
d{1,4}=' iuser=2 nser=1 regeff=1';
d{1,5}='119 ls';
c{1,4}=d;
