function c = gu11na_trm
%
%function to create the cell array necessary to run TRAMO/SEATS in
%MATLAB. 
%The input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, and the corresponding data should be written
%       in pairs.

%series title
title='gu11na'; 
%initial year, initial period
inyinp='1980 1';
%data
ppath=cd;      %Current path. For example, C:\tst\spectrm
%Now, obtain path for the programs. For example, C:\tst
ppath=lower(ppath); x=strfind(ppath,'\spectrm'); ppath=ppath(1:x-1); 
y=load([ppath '\series\' title '.dat']); [ny,my]=size(y);
%alternatively
% y=load('c:\tst\series\gu11na.dat'); [ny,my]=size(y);

%number of observations 
nobs=num2str(ny); 

c{1,1}=title;
c{1,2}=[nobs ' ' inyinp];  
c{1,3}=y;

%instructions for TRAMO/SEATS
%namelist input
input='p=2 ireg=14 seats=2'; 
input=[input ' rmod=0 epsphi=180'];                  
d{1,1}=input;
%namelists reg. 
d{1,2}='iuser=-1 nser=6 ilong=240';
%path for the deterministic variable
d{1,3}='series\wk6.g11';
d{1,4}='iuser=-1 nser=6 ilong=240';
d{1,5}='series\wkdec6.g11';
d{1,6}='iuser=-1 nser=1 ilong=240';
d{1,7}='series\lp.g11';
d{1,8}='iuser=-1 nser=1 ilong=228';
d{1,9}='series\school.g11';
c{1,4}=d;
