function c = uscw_trm
%
%function to create the cell array necessary to run TRAMO/SEATS in
%MATLAB. 
%The input for TRAMO is a cell array c of size [n m]. n is the number of 
%series and m is the number of fields that contain the information for 
%each series
%c{i,1} contains the title of the series
%c{i,2} contains the number of observations, the initial year and the
%       initial period
%c{i,3} contains the series
%c{i,4} an optional field. It is a cell array, d, that contains the
%       namelist input and optional additional namelists reg and 
%       instructions for these last namelists.
%       namelists reg, if any, and the corresponding data should be written
%       in pairs.


%load data
data=xlsread('c:\tst\series\PROJECT_US_MAN_RAW'); 

data=data(57:end,:);       %data starts at 1960-I


%series title
title='CW';          %remove blanks 
%initial year, initial period
inyinp='1960 1';
%read data
y=data(:,2);  [ny,my]=size(y);
nobs=num2str(ny); nnobs=length(nobs);     %string
if nnobs < 5
 nobs=[nobs blanks(5-nnobs)];
end
c{1,1}=title;
c{1,2}=[nobs ' ' inyinp];
c{1,3}=y;              
%instructions for TRAMO/SEATS
input='mq=4 idif=3 inic=3 lam=1 iatip=1 imvx=1 '; 
input=[input ' seats=2 rmod=0 epsphi=180'];
d{1,1}=input;                                   %namelist input
c{1,4}=d;

