function outtst = tracematlab(d,path)
%
% MATLAB program to run Trace
%
% Input parameters: 
%      d: a cell-array containing the information to run Trace
%   path: a string containing the path where TSTMATLAB is located
% Output parameters:
%  outts: a structure containing the output of Trace       
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

outtst=[];

[n,m]=size(d);
if n > 1
 for i=1:n
  if ~isempty(d{i,4})
   e{1,1}=d{i,4}; e{1,2}='trash'; dd{1,1}=d{i,1}; dd{1,2}=d{i,2};
   dd{1,3}=d{i,3}; dd{1,4}=e;
   method{i} = inputval(dd,'method'); 
   mfrec = inputval(dd,'mfrec');
   mq = inputval(dd,'mq');
  %we always write mfrec in the input spec, otherwise the program may crash
   if isempty(mfrec)
    aa=dd{1,4}; a=aa{1,1};
    if isempty(mq)
     a=[a ' mfrec=1'];
    else
     a=[a ' mfrec=' num2str(mq)];
    end
    d{i,4}=a;
   end
  end
 end
else
 if ~isempty(d{1,4})
  e{1,1}=d{1,4}; e{1,2}='trash'; dd=d; dd{1,4}=e;
  method = inputval(dd,'method'); 
  mfrec = inputval(dd,'mfrec');
  mq = inputval(dd,'mq');
  %we always write mfrec in the input spec, otherwise the program may crash
  if isempty(mfrec)
   aa=dd{1,4}; a=aa{1,1};
   if isempty(mq)
    a=[a ' mfrec=1'];
   else
    a=[a ' mfrec=' num2str(mq)];
   end
   d{1,4}=a;
  end
 end
end



%create serie.trc file for TRACE
wrsertrc(d);

%run TRACE program
! copy serie.trc serie
! traceex

%store results in structure outtst
if n > 1
 for i=1:n
  title=d{i,1}; 
  [n,m]=size(title); 
  if m <= 8
   name=[deblank(title) '.dat'];
  else
   name=[deblank(title(1:8)) '.dat'];
  end
  outtst(i).trace.title=title;                    %title
  nziyip=str2num(d{i,2});
  outtst(i).trace.nziyip=nziyip;                  %number of observ., etc.
  if method{i} > 0
   trdsg=load([path '\gnuplot\' name]);
   outtst(i).trace.inser=trdsg(:,1);               %trend cycle
   outtst(i).trace.outser=trdsg(:,2);              %signal
  end
 end
else
 title=d{1,1}; 
 [n,m]=size(title); 
 if m <= 8
  name=[deblank(title) '.dat'];
 else
  name=[deblank(title(1:8)) '.dat'];
 end
 outtst.trace.title=title;                      %title
 nziyip=str2num(d{1,2});
 outtst.trace.nziyip=nziyip;                    %number of observ., etc.
 if method > 0
  trdsg=load([path '\gnuplot\' name]);
  outtst.trace.inser=trdsg(:,1);                 %trend cycle
  outtst.trace.outser=trdsg(:,2);                %signal
 end
end
