function trcfildes(d,path)
%
% MATLAB program to run filter design in TRACE
%
% Input parameters: 
%      d: a cell-array containing the information to design a filter with TRACE
%   path: a string containing the path where TSTMATLAB is located
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%


%create serie.trc file for TRACE
wrsertrc(d);


%run TRACE program
! copy serie.trc serie
! traceex

warning('off','MATLAB:dispatcher:InexactMatch');
input=lower(d{1,4});
x=strfind(input,'filter=');  
if input(x+7)=='1'
 scrpt = [ path '\MATLAB\GBFSINW']; run(scrpt); 
elseif input(x+7)=='2'
 scrpt = [ path '\MATLAB\gbftanw']; run(scrpt);
elseif input(x+7)=='3'
 scrpt = [ path '\MATLAB\GBFTBPW']; run(scrpt);  
elseif input(x+7)=='4'
 scrpt = [ path '\MATLAB\galfw']; run(scrpt);
elseif input(x+7)=='5'
 scrpt = [ path '\MATLAB\gpalsinw']; run(scrpt);
elseif input(x+7)=='6'
 scrpt = [ path '\MATLAB\gpaltanw']; run(scrpt);
elseif input(x+7)=='7'
 scrpt = [ path '\MATLAB\gpaltbpw']; run(scrpt);
end
