function outtst = tstmatlab(c,d,path)
%
% MATLAB program to run TST (Tramo/Seats/Trace)
%
% Input parameters: 
%      c: a cell-array containing the information to run Tramo/Seats
%      d: a cell-array containing the information to run Trace
%   path: a string containing the path where TSTMATLAB is located
% Output parameters:
%  outts: a structure containing the output of TST  
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

outtst=[];
[nc,mc]=size(c);
[n,m]=size(d);
if n ~= nc 
 disp('cell arrays should have the same dimensions in tstmatlab')
 return
end

%run TS programs
outtst = tsmatlab(c,path);

%run Trace program
outtrc = tracematlab(d,path);

if n > 1
 for i=1:n
  outtst(i).trace=outtrc(i).trace;
 end
else
 outtst.trace=outtrc.trace;
end

