function wrsertrc(c)
%
% MATLAB program to create the file serie.trc
%
% Input parameters: 
%      c: a cell-array containing the information to run TS
%
% Copyright (c) November 2009 by Victor Gomez
% Ministerio de Hacienda, Direccion Gral. de Presupuestos, 
% Subdireccion Gral. de Analisis y P.E., 
% Alberto Alcocer 2, 1-P, D-34, 28046, Madrid, SPAIN.
% Phone : +34-915835439
% E-mail: vgomez@sepg.minhac.es
%
% The author assumes no responsibility for errors or damage resulting from the use
% of this code. Usage of this code in applications and/or alterations of it should 
% be referenced. This code may be redistributed if nothing has been added or
% removed and no money is charged. Positive or negative feedback would be appreciated.
%

fid = fopen('serie.trc','w');
[n,m]=size(c);
for i=1:n
 %write title
 fprintf(fid,'%s\n',c{i,1});
 %write number of observations, initial year, initial period, control
 fprintf(fid,'%s\n',c{i,2});
 %write data
 if ischar(c{i,3})
  fprintf(fid,'%s\n',c{i,3});
 else
  fprintf(fid,'% g\n',c{i,3});
 end
 %write namelist
 if ~isempty(c{i,4})
  fprintf(fid,'%s\n',['$input ' c{i,4} '$']);
 end
end
fclose(fid);

